/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interfaces.h"

namespace morpheo              {
namespace behavioural          {

  Interface_fifo * Interfaces::find_interface (string name)
  {
    if (_list_interface->empty()== false)
      {
	list<Interface_fifo*>::iterator i     = _list_interface->begin();

	while (i != _list_interface->end())
	  {
	    if ((*i)->_name == name)
	      return (*i);
	    ++i;
	  }
      }
     
    return NULL;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
